Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.update
Class PluginDownloadManager

    java.lang.Object
      org.jivesoftware.openfire.update.PluginDownloadManager

    public class PluginDownloadManager

extends Object

Service that allow for aysynchrous calling of system managers.

Author:
  Derek DeMoro

Constructor Summary
`PluginDownloadManager()`

Method Summary
`Update` | `downloadPlugin(String url)` Starts the download process of a given plugin with it's URL.
`DownloadStatus` | `installPlugin(String url, int hashCode)` Installs a new plugin into Openfire.
`boolean` | `updatePluginsList()` Updates the PluginList from the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDownloadManager

    public PluginDownloadManager()

Method Detail

### downloadPlugin

    public Update downloadPlugin(String url)

  Starts the download process of a given plugin with it's URL.

  Parameters:
    `url` - the url of the plugin to download.
  Returns:
    the Update.

### installPlugin

    public DownloadStatus installPlugin(String url,
                                        int hashCode)

  Installs a new plugin into Openfire.

  Parameters:
    `url` - the url of the plugin to install.
    `hashCode` - the matching hashcode of the `AvailablePlugin`.
  Returns:
    the hashCode.

### updatePluginsList

    public boolean updatePluginsList()

  Updates the PluginList from the server. Please note, this method is used with javascript calls and will not be found with a find usages.

  Returns:
    true if the plugin list was updated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.